### Function

# ECal util_remove_instances_ex

since: 3.38

#### Declaration [src]

    void
    e_cal_util_remove_instances_ex (
      ICalComponent* icalcomp,
      const ICalTime* rid,
      ECalObjModType mod,
      ECalRecurResolveTimezoneCb tz_cb,
      gpointer tz_cb_data
    )

#### Description [src]

Removes one or more instances from `icalcomp` according to `rid` and `mod`. Uses `tz_cb` with `tz_cb_data` to resolve time zones when needed.

Available since: 3.38

#### Parameters

`icalcomp`

  Type: `None`

  A (recurring) `ICalComponent`.

  The data is owned by the caller of the function.

`rid`

  Type: `None`

  The base RECURRENCE-ID to remove.

  The data is owned by the caller of the function.

`mod`

  Type: `ECalObjModType`

  How to interpret `rid`.

`tz_cb`

  Type: `ECalRecurResolveTimezoneCb`

  The `ECalRecurResolveTimezoneCb` to call.

`tz_cb_data`

  Type: `gpointer`

  User data to be passed to the `tz_cb` callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.